Issues with BBC references
Closed, ResolvedPublic8 Story Points

Description

Reporting just because I was expecting Bbc sources to perform better on en.wp.

bbc.co.uk: doesn't get the author right (|first = Chi Chi Izundu Newsbeat entertainment|last = reporter);
bbc.com: returns just a few details, although I chose a signed piece.

Elitre created this task.Apr 1 2015, 5:59 AM
Elitre updated the task description. (Show Details)
Elitre raised the priority of this task from to Needs Triage.
Elitre added a project: Citoid.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 5:59 AM
Mvolz moved this task from Backlog to Site specific issues on the Citoid board.Apr 3 2015, 1:44 PM
Mvolz added a subscriber: Mvolz.

Issues with the Zotero translator, likely:

https://github.com/zotero/translators/blob/master/BBC.js

Mvolz triaged this task as Normal priority.Sep 19 2016, 2:27 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 19 2016, 2:27 PM
Mvolz claimed this task.Sep 19 2016, 2:27 PM
Mvolz removed Mvolz as the assignee of this task.Sep 19 2016, 4:07 PM
Jdforrester-WMF set the point value for this task to 8.

I have resolved the first issue mentioned above. https://github.com/zotero/translators/pull/1289
For the second issue, I tested it but couldn't figure out what more was expected while stating that only a few details were returned.
@Mvolz Can you elaborate this for me(what the translator is not providing) or tell another way to test this issue?

Deskana closed this task as Resolved.Jul 26 2017, 10:43 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

It seems like both of these issues were resolved.

The first reference's author is now corrected inserted:

The second reference now includes significantly more information:

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 26 2017, 10:43 AM